Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osg::ProxyNode Class Reference

ProxyNode. More...

Inheritance diagram for osg::ProxyNode:

[legend]
List of all members.

## Public Types
typedef std::vector< std::string > | FileNameList
enum | CenterMode { USE_BOUNDING_SPHERE_CENTER, USER_DEFINED_CENTER }
| Modes which control how the center of object should be determined when computed which child is active. More...
## Public Member Functions
| ProxyNode ()
| ProxyNode (const ProxyNode &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
| Copy constructor using CopyOp to manage deep vs shallow copy.
| META_Node (osg, ProxyNode)
virtual void | traverse (NodeVisitor &nv)
| Traverse downwards : calls children's accept method with NodeVisitor.
virtual bool | addChild (Node *child)
| Add Node to Group.
virtual bool | addChild (Node *child, const std::string &filename)
virtual bool | removeChild (Node *child)
| Remove Node from Group.
void | setDatabasePath (const std::string &path)
| Set the database path to prepend to children's filenames.
const std::string & | getDatabasePath () const
| Get the database path used to prepend to children's filenames.
void | setFileName (unsigned int childNo, const std::string &filename)
const std::string & | getFileName (unsigned int childNo) const
unsigned int | getNumFileNames () const
void | setCenterMode (CenterMode mode)
| Set how the center of object should be determined when computed which child is active.
CenterMode | getCenterMode () const
| Get how the center of object should be determined when computed which child is active.
void | setCenter (const Vec3 &center)
| Sets the object-space point which defines the center of the osg::ProxyNode.
const Vec3 & | getCenter () const
| return the ProxyNode center point.
void | setRadius (float radius)
| Set the object-space reference radius of the volume enclosed by the ProxyNode.
float | getRadius () const
| Get the object-space radius of the volume enclosed by the ProxyNode.
virtual BoundingSphere | computeBound () const
| Compute the bounding sphere around Node's geometry or children.
## Protected Member Functions
virtual | ~ProxyNode ()
void | expandFileNameListTo (unsigned int pos)
## Protected Attributes
FileNameList | _filenameList
std::string | _databasePath
CenterMode | _centerMode
Vec3 | _userDefinedCenter
float | _radius

## Detailed Description

ProxyNode.

## Member Typedef Documentation

typedef std::vector<std::string> osg::ProxyNode::FileNameList

## Member Enumeration Documentation

enum osg::ProxyNode::CenterMode

  | Modes which control how the center of object should be determined when computed which child is active. Enumeration values:
  USE_BOUNDING_SPHERE_CENTER |
  USER_DEFINED_CENTER |

## Constructor & Destructor Documentation

osg::ProxyNode::ProxyNode | ( |  | ) |

osg::ProxyNode::ProxyNode | ( | const ProxyNode & | ,
|  | const CopyOp & | copyop = CopyOp::SHALLOW_COPY
| ) |

| Copy constructor using CopyOp to manage deep vs shallow copy.

virtual osg::ProxyNode::~ProxyNode | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

virtual bool osg::ProxyNode::addChild | ( | Node * | child,
|  | const std::string & | filename
| ) | `[virtual]`

virtual bool osg::ProxyNode::addChild | ( | Node * | child | ) | `[virtual]`

| Add Node to Group. If node is not NULL and is not contained in Group then increment its reference count, add it to the child list and dirty the bounding sphere to force it to recompute on next getBound() and return true for success. Otherwise return false. Scene nodes can't be added as child nodes. Reimplemented from osg::Group.

virtual BoundingSphere osg::ProxyNode::computeBound | ( |  | ) | const`[virtual]`

| Compute the bounding sphere around Node's geometry or children. This method is automatically called by getBound() when the bounding sphere has been marked dirty via dirtyBound(). Reimplemented from osg::Group.

void osg::ProxyNode::expandFileNameListTo | ( | unsigned int | pos | ) | `[protected]`

const Vec3& osg::ProxyNode::getCenter | ( |  | ) | const`[inline]`

| return the ProxyNode center point.

CenterMode osg::ProxyNode::getCenterMode | ( |  | ) | const`[inline]`

| Get how the center of object should be determined when computed which child is active.

const std::string& osg::ProxyNode::getDatabasePath | ( |  | ) | const`[inline]`

| Get the database path used to prepend to children's filenames.

const std::string& osg::ProxyNode::getFileName | ( | unsigned int | childNo | ) | const`[inline]`

unsigned int osg::ProxyNode::getNumFileNames | ( |  | ) | const`[inline]`

float osg::ProxyNode::getRadius | ( |  | ) | const`[inline]`

| Get the object-space radius of the volume enclosed by the ProxyNode.

osg::ProxyNode::META_Node | ( | osg | ,
|  | ProxyNode |
| ) |

virtual bool osg::ProxyNode::removeChild | ( | Node * | child | ) | `[virtual]`

| Remove Node from Group. If Node is contained in Group then remove it from the child list, decrement its reference count, and dirty the bounding sphere to force it to recompute on next getBound() and return true for success. If Node is not found then return false and do not change the reference count of the Node. Reimplemented from osg::Group.

void osg::ProxyNode::setCenter | ( | const Vec3 & | center | ) | `[inline]`

| Sets the object-space point which defines the center of the osg::ProxyNode. center is affected by any transforms in the hierarchy above the osg::ProxyNode.

void osg::ProxyNode::setCenterMode | ( | CenterMode | mode | ) | `[inline]`

| Set how the center of object should be determined when computed which child is active.

void osg::ProxyNode::setDatabasePath | ( | const std::string & | path | ) |

| Set the database path to prepend to children's filenames.

void osg::ProxyNode::setFileName | ( | unsigned int | childNo,
|  | const std::string & | filename
| ) | `[inline]`

void osg::ProxyNode::setRadius | ( | float | radius | ) | `[inline]`

| Set the object-space reference radius of the volume enclosed by the ProxyNode. Used to detmine the bounding sphere of the ProxyNode in the absense of any children.

virtual void osg::ProxyNode::traverse | ( | NodeVisitor & | nv | ) | `[virtual]`

| Traverse downwards : calls children's accept method with NodeVisitor. Reimplemented from osg::Group.

## Member Data Documentation

CenterMode osg::ProxyNode::_centerMode`[protected]`

std::string osg::ProxyNode::_databasePath`[protected]`

FileNameList osg::ProxyNode::_filenameList`[protected]`

float osg::ProxyNode::_radius`[protected]`

Vec3 osg::ProxyNode::_userDefinedCenter`[protected]`

The documentation for this class was generated from the following file:

- ProxyNode